API Reference

Retrieve Prompt Version

Retrieves a specific version of a prompt.

Expands
scoring Retrieves the scoring object for the prompt version.
heatmap Retrieves the heatmap object for the prompt version.
balance Retrieves the balance object for the prompt version.
risk Retrieves the risk object for the prompt version.
Endpoint
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}

// Examples
GET https://api.zatomic.ai/v1/prompts/prm_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ver_2qRzu8qzlNOMhTrini2EKCDh5r6
GET https://api.zatomic.ai/v1/prompts/prm_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ver_2qRzu8qzlNOMhTrini2EKCDh5r6?expand=scoring
GET https://api.zatomic.ai/v1/prompts/prm_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ver_2qRzu8qzlNOMhTrini2EKCDh5r6?expand=heatmap
GET https://api.zatomic.ai/v1/prompts/prm_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ver_2qRzu8qzlNOMhTrini2EKCDh5r6?expand=balance
GET https://api.zatomic.ai/v1/prompts/prm_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ver_2qRzu8qzlNOMhTrini2EKCDh5r6?expand=risk

Endpoint Response

A successful call returns a response that contains the prompt version object.

HTTP Status Codes
200 OK The prompt version was retrieved.
404 Not Found The prompt version didn't exist.
500 Internal Server Error Something went wrong on Zatomic's end.